


function connectWithPeer(id, runtime){

	globalThis.conn = peer.connect(id);
	
	globalThis.conn.on('open', function() {

		// Receive messages
		globalThis.conn.on('data', function(data) {
		  console.log('Received', data);
		  
		  var username = data.split(';')[0]
		  var message = data.split(';')[1]
		  
		  c3_callFunction('saveMessage',[username,message])
		});
		
		globalThis.conn.on('close', function() { 
			console.log('The chat closed due as the peer disconnected')
			runtime.goToLayout('Login')
		});
		
		runtime.goToLayout('Chat')
		
  });

}

function sendMessage(message, runtime){

	var msg = runtime.globalVars.usernameMy + ';' + message

	globalThis.conn.send(msg);

}

function leave(){

	globalThis.peer.destroy()

}